Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# RangeArray< T > Class Template Reference

A template class to represent arrays of ranges. More...

`#include <RangeArray.h>`

List of all members.

## Public Member Functions
| RangeArray ()
void | reset ()
int | getNumberOfClusters ()
Range< T > | getCluster (int index)
bool | isLeftOnBorder (int index)
bool | isRightOnBorder (int index)
void | add (Range< T > newRange, bool leftOnBorder, bool rightOnBorder)
## Private Types
enum | { maxNumberOfRanges = 25 }
## Private Attributes
Range< T > | clusters [maxNumberOfRanges]
bool | leftIsOnBorder [maxNumberOfRanges]
bool | rightIsOnBorder [maxNumberOfRanges]
int | numberOfClusters

## Detailed Description

### template<class T>
class RangeArray< T >

A template class to represent arrays of ranges.

Definition at line 15 of file RangeArray.h.

## Member Enumeration Documentation

template<class T>
anonymous enum`[private]`

  | Enumeration values:
  maxNumberOfRanges |
Definition at line 78 of file RangeArray.h.

## Constructor & Destructor Documentation

template<class T>
RangeArray< T >::RangeArray | ( |  | ) | `[inline]`

| Definition at line 18 of file RangeArray.h.

## Member Function Documentation

template<class T>
void RangeArray< T >::reset | ( | void |  | ) | `[inline]`

| Definition at line 19 of file RangeArray.h.

template<class T>
int RangeArray< T >::getNumberOfClusters | ( |  | ) | `[inline]`

| Definition at line 21 of file RangeArray.h. Referenced by SlamGoalRecognizer::scanHorizontalForGoals(), and GoalRecognizer::scanHorizontalForGoals().

template<class T>
Range<T> RangeArray< T >::getCluster | ( | int | index | ) | `[inline]`

| Definition at line 23 of file RangeArray.h. References RangeArray< T >::clusters.

template<class T>
bool RangeArray< T >::isLeftOnBorder | ( | int | index | ) | `[inline]`

| Definition at line 30 of file RangeArray.h. References RangeArray< T >::leftIsOnBorder.

template<class T>
bool RangeArray< T >::isRightOnBorder | ( | int | index | ) | `[inline]`

| Definition at line 31 of file RangeArray.h. References RangeArray< T >::rightIsOnBorder.

template<class T>
void RangeArray< T >::add | ( | Range< T > | newRange,
|  | bool | leftOnBorder,
|  | bool | rightOnBorder
| ) | `[inline]`

| Definition at line 33 of file RangeArray.h. References RangeArray< T >::clusters, RangeArray< T >::leftIsOnBorder, and RangeArray< T >::rightIsOnBorder. Referenced by SlamGoalRecognizer::scanHorizontalForGoals(), and GoalRecognizer::scanHorizontalForGoals().

## Member Data Documentation

template<class T>
Range<T> RangeArray< T >::clusters[maxNumberOfRanges]`[private]`

| Definition at line 79 of file RangeArray.h. Referenced by RangeArray< T >::add(), and RangeArray< T >::getCluster().

template<class T>
bool RangeArray< T >::leftIsOnBorder[maxNumberOfRanges]`[private]`

| Definition at line 80 of file RangeArray.h. Referenced by RangeArray< T >::add(), and RangeArray< T >::isLeftOnBorder().

template<class T>
bool RangeArray< T >::rightIsOnBorder[maxNumberOfRanges]`[private]`

| Definition at line 81 of file RangeArray.h. Referenced by RangeArray< T >::add(), and RangeArray< T >::isRightOnBorder().

template<class T>
int RangeArray< T >::numberOfClusters`[private]`

| Definition at line 82 of file RangeArray.h.

The documentation for this class was generated from the following file:

- Tools/RangeArray.h